Given a timestamp offset in seconds, adds the offset to every subsequent block header's timestamp. | Algorand Developer Portal
Given a timestamp offset in seconds, adds the offset to every subsequent block header's timestamp.
Endpoint
POST /v2/devmode/blocks/offset/{offset}
Sets the timestamp offset (seconds) for blocks in dev mode. Providing an offset of 0 will unset this value and try to use the real clock for the timestamp.
Authorizations
- api_key
Parameters
Path Parameters
offset
required
integer
The timestamp offset for blocks in dev mode.
Responses
200
OK
400
Cannot set timestamp offset to a negative integer.
- data
object - message
required
string
401
Invalid API Token
- data
object - message
required
string
500
Internal Error
- data
object - message
required
string
default
Unknown Error